-- Schema: C6MartPeriodico
-- Stored Procedure: SP_DQ_BonificaDati





CREATE procedure [C6MartPeriodico].[SP_DQ_BonificaDati]  
AS  
BEGIN  
  
-- select count(*) from C6MartPeriodico.contrattosei  
  
-- BONIFICA CARATTERI ANOMALI  
update c6martperiodico.contrattosei 
set indirizzo = 'VIA CONTRA'' BARONA, 52'
where rete = 'F'  
and cod_fiscale = 'CRCMHL70M62I531H'  
and indirizzo ='VIA CONTRĀ BARONA, 52'

update c6martperiodico.anag_clienti
set indirizzo = 'VIA CONTRA'' BARONA, 52'
where rete = 'F'  
and cod_fiscale = 'CRCMHL70M62I531H'  
and indirizzo ='VIA CONTRĀ BARONA, 52'

update c6martperiodico.contrattosei
set indirizzo = 'STRADA MONTA'' DA LANZA 48'
where rete = 'S'  
and cod_fiscale = 'VLIPLA63H56L741Q'  
and indirizzo ='STRADA MONTĀ DA LANZA 48'
  
update c6martperiodico.contrattosei set indirizzo ='VIA FRANGIPANE, TR.2, N.6' where cod_fiscale ='BRGGNN32A02H224F' and INDIRIZZO= 'VIA FRANGIPANE, TR.2^, N.6'  
update c6martperiodico.contrattosei set indirizzo ='VIA POSTIERLA N 31/C' where cod_fiscale ='CCCRNI39T54I381U' and INDIRIZZO= 'VIA POSTIERLA NĒ 31/C'  
update c6martperiodico.contrattosei set indirizzo ='VIA DEGLI OPERAI N 25' where cod_fiscale ='DTNNZR56M23D653T' and INDIRIZZO= 'VIA DEGLI OPERAI NĒ 25'  
update c6martperiodico.contrattosei set indirizzo ='VIA F.SICILIANI N 1' where cod_fiscale ='FRRTDR64M26A638Q' and INDIRIZZO= 'VIA F.SICILIANI NĒ 1'  
update c6martperiodico.contrattosei set Citta    ='VALLA'' DI RIESE PIO X' where cod_fiscale ='NDRTZN81A03C111N' and Citta=          'VALLA'' DI RIESE PIO XĒ'  
update c6martperiodico.contrattosei set indirizzo ='VIA A.MOTTA N 61' where cod_fiscale ='TRRCRL47S28L667C' and INDIRIZZO= 'VIA A.MOTTA NĒ 61'  
update c6martperiodico.contrattosei set indirizzo ='VIA RIOMAGGIORE N 1' where cod_fiscale ='CRPDNC37C69L689V' and INDIRIZZO= 'VIA RIOMAGGIORE NĒ1'  
update c6martperiodico.contrattosei set indirizzo ='VIA SANTI N 17' where cod_fiscale ='RNALRT64R05G337D' and INDIRIZZO= 'VIA SANTI NĒ 17'  
update c6martperiodico.contrattosei set indirizzo ='VIA M.DELLA LIBERT'' 13' where cod_fiscale ='GLPMRA71A16G856Z' and INDIRIZZO= 'VIA M.DELLA LIBERTĀ 13'  
update c6martperiodico.contrattosei set indirizzo ='LOCALITA'' MONETA' where cod_fiscale ='VLLCNZ58P47L219Z' and INDIRIZZO= 'LOCALITĀ MONETA'  
update c6martperiodico.contrattosei set Citta    ='FORLI''' where cod_fiscale ='GHTDNC38S29D704K' and Citta=          'FORLĖ'  
  
  
update c6martperiodico.contrattosei  
set presso = 'KOSTORIS e ASSOC.-STUDIO LEGALE'  
where rete = 'F'  
and cod_fiscale = 'KSTLRT60R14L424G'  
and presso = 'KOSTORIS & ASSOC.-STUDIO LEGALE'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'VIA VINCENZO CIARDO N. 3'  
where rete = 'S'  
and cod_fiscale = 'CNGMTR43S59E506C'  
and indirizzo = 'VIA VINCENZO CIARDO NĒ 3'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'VIA VINCENZO CIARDO N. 3'  
where rete = 'S'  
and cod_fiscale = 'CNGRSO46T44E506U'  
and indirizzo = 'VIA VINCENZO CIARDO NĒ 3'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'VIA VINCENZO BELLINI N.6'  
where rete = 'S'  
and cod_fiscale = 'CRBMLD59M69C351S'  
and indirizzo = 'VIA VINCENZO BELLINI NĒ6'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'VIA SS 18 I TR. N. 11'  
where rete = 'S'  
and cod_fiscale = 'LZZCRC51P41B666S'  
and indirizzo = 'VIA SS 18 I TR. NĒ 11'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'VIA DELL''IMPRUNETA N. 26'  
where rete = 'S'  
and cod_fiscale = 'RMNMRA69D13C351J'  
and indirizzo = 'VIA DELL''IMPRUNETA NĒ 26'  
  
update c6martperiodico.contrattosei  
set indirizzo = 'LOCALITA'' MALTRAVERSO, 13'  
where rete = 'F'  
and cod_fiscale = 'PRSRNZ59B21C847E'  
and indirizzo = 'LOCALITĀ MALTRAVERSO, 13'  
  
update c6martperiodico.contrattosei  
set citta = 'CITTA'' SANTANGELO'  
where rete = 'S'  
and cod_fiscale = 'DFRNTN56D20A120O'  
and citta = 'CITTĀ SANTANGELO'  
  
update c6martperiodico.contrattosei  
set indirizzo = 
